/*******************************************************************************
 * FoxSocialUpdateWidget generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxSocialUpdateWidget extends GFxObject within GFxMoviePlayer
    native(HUD);

enum ESocialWidgetState
{
    ESWS_None,
    ESWS_Visible,
    ESWS_Fading,
    ESWS_MAX
};

var transient array<string> QueuedMessages;
var FoxPC PCOwner;
var transient FoxSocialUpdateWidget.ESocialWidgetState WidgetState;
var float FadeOutTime;
var transient float MessageVisibleTime;
var transient float StateElapsedTime;

function Initialize()
{
    SetPosition(class'FoxHudUI'.default.SocialUpdateWidget.X, class'FoxHudUI'.default.SocialUpdateWidget.Y);
    MessageVisibleTime = class'FoxHudUI'.default.SocialUpdateWidget.DispTime;
    //return;    
}

event SetOpacity(float NewOpacityVal)
{
    local ASDisplayInfo DisplayInfo;

    DisplayInfo = GetDisplayInfo();
    DisplayInfo.XScale = class'FoxHudUI'.default.SocialUpdateWidget.Scale;
    DisplayInfo.YScale = class'FoxHudUI'.default.SocialUpdateWidget.Scale;
    DisplayInfo.Alpha = class'FoxHudUI'.default.SocialUpdateWidget.Opacity * NewOpacityVal;
    DisplayInfo.hasXScale = true;
    DisplayInfo.hasYScale = true;
    DisplayInfo.hasAlpha = true;
    SetDisplayInfo(DisplayInfo);
    //return;    
}

function AddNewMessage(string Message)
{
    // End:0x2D
    if(WidgetState == 1)
    {
        QueuedMessages.AddItem(Message);
    }
    // End:0x40
    else
    {
        ShowMessageNow(Message);
    }
    //return;    
}

event ShowMessageNow(string Message)
{
    SetOpacity(1.0);
    SetString("label", Message);
    WidgetState = 1;
    StateElapsedTime = 0.0;
    //return;    
}

event FadedOut()
{
    RemoveMovieClip();
    PCOwner.DynamicUI.HUD.SocialUpdate = none;
    //return;    
}

defaultproperties
{
    FadeOutTime=1.50
}